Get constructor
- GET /platform/infrastructure/constructors/{constructor_id}
Retrieves a constructor by id.
Path Parameters
-
constructor_idstringrequired -
Identifier for the constructor
Responses
The information for the constructor specified by {constructor_id}.
-
statusConstructorHealthStatusrequired -
The health status of the constructor.
-
connectedbooleanrequired -
Whether the constructor is connected
-
maintenance_modebooleanrequired -
Whether the constructor is in maintenance mode
-
constructor_idstringrequired -
Identifier for this constructor
The constructor specified by {constructor_id} cannot be found. (code: constructors.constructor_not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response